package agilpizza.usuario;

import static junit.framework.Assert.assertEquals;
import static org.junit.Assert.*;

import org.testng.annotations.BeforeMethod;
import org.testng.annotations.Test;

import agilpizza.controlador.usuario.UsuarioControlador;
import agilpizza.controlador.util.JSFUtil;
import agilpizza.internal.SeleniumTestCase;
import agilpizza.modelo.pizza.Endereco;
import agilpizza.modelo.pizza.Ingrediente;

public class MostraClienteCadastradoTest extends SeleniumTestCase {
	
	@Test(enabled= true)
	public void cadastraPrimeiroUsuario() {
		sel.open(CONTEXTO);
		sel.clickAndWait("linkEnderecoParaEntrega");
		sel.type("formAnotarEndereco:nome", "João Alberto Gomes");
		sel.type("formAnotarEndereco:telefone", "1234-1234");
		sel.type("formAnotarEndereco:rua", "Rua do Matão");
		sel.type("formAnotarEndereco:numero", "1010");
		sel.type("formAnotarEndereco:complemento", "CEC");
		sel.type("formAnotarEndereco:bairro", "Cidade Universitária");
		sel.type("formAnotarEndereco:cep", "05508-090");
		sel.clickAndWait("formAnotarEndereco:enviarEndereco");
		assertTrue(sel.isTextPresent("João Alberto Gomes"));
		assertTrue(sel.isTextPresent("1234-1234"));
		assertTrue(sel.isTextPresent("Rua do Matão"));
		assertTrue(sel.isTextPresent("1010"));
		assertTrue(sel.isTextPresent("CEC"));
		assertTrue(sel.isTextPresent("Cidade Universitária"));
		assertTrue(sel.isTextPresent("05508-090"));
		assertTrue(sel.isTextPresent("Dinheiro"));
	}
	
	@Test(enabled= true)
	public void TestaUsuarioCadastrado() throws InterruptedException {
		sel.open("http://localhost:8080/AgilPizza/paginas/usuario/endereco_login.jsf");
    	sel.type("formAnotarEndereco:telefone", "1234-1234");
    	sel.clickAndWait("formAnotarEndereco:enviarEndereco");
    	assertTrue(sel.isTextPresent("João Alberto Gomes"));
    }
	
	@Test(enabled= true)
	public void TestaUsuarioNaoCadastrado() throws InterruptedException {
		String nome; 
		sel.open("http://localhost:8080/AgilPizza/paginas/usuario/endereco_login.jsf");
    	sel.type("formAnotarEndereco:telefone", "3333-2222");
    	sel.clickAndWait("formAnotarEndereco:enviarEndereco");
    	nome = sel.getValue("formAnotarEndereco:nome");
    	assertEquals("", nome);
	}	
	
}
